Bug 744104 - (CVE-2012-0815) CVE-2012-0815 rpm: incorrect handling of negated offsets in headerVerifyInfo()
CVE-2012-0815 rpm: incorrect handling of negated offsets in headerVerifyInfo()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120403,repo...
: Security
Depends On: 785109 785110 785111 785112 785113 785769 785803 785805 785807 785862 809487 830759
Blocks: 744203
  Show dependency treegraph
 
Reported: 2011-10-07 00:02 EDT by Ramon de C Valle
Modified: 2013-10-13 21:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: rpm 4.9.1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-07 05:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RPM 4.8.x patch (1.91 KB, patch)
2012-02-29 06:20 EST, Tomas Hoger
no flags Details | Diff
RPM 4.4.x patch (1.78 KB, patch)
2012-02-29 06:21 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Comment 7 Ramon de C Valle 2012-01-26 12:06:56 EST
A numeric range comparison without minimum check flaw was found within headerVerifyInfo function of RPM library. This function is used by rpm utility to verify the values of header structures (i.e. signature and header sections) of a RPM file. An attacker could create a specially-crafted RPM file that, when read, could cause RPM to crash or, potentially, execute arbitrary code.
Comment 24 Tomas Hoger 2012-02-29 06:20:46 EST
Created attachment 566526 [details]
RPM 4.8.x patch
Comment 25 Tomas Hoger 2012-02-29 06:21:09 EST
Created attachment 566527 [details]
RPM 4.4.x patch
Comment 26 Tomas Hoger 2012-04-03 09:31:32 EDT
Lifting embargo.  Committed upstream now in:

http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=6fc6b45bf9fef0f17a2900c6c5198bda5e50d09e
Comment 27 Tomas Hoger 2012-04-03 09:38:48 EDT
Created rpm tracking bugs for this issue

Affects: fedora-all [bug 809487]
Comment 28 Tomas Hoger 2012-04-03 10:18:33 EDT
Fixes included in upstream version 4.9.1.3:
  http://rpm.org/wiki/Releases/4.9.1.3
Comment 29 errata-xmlrpc 2012-04-03 12:50:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3 Extended Lifecycle Support
  Red Hat Enterprise Linux 5.3 Long Life
  Red Hat Enterprise Linux 5.6 EUS - Server Only
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6.0 EUS - Server Only
  Red Hat Enterprise Linux 6.1 EUS - Server Only
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2012:0451 https://rhn.redhat.com/errata/RHSA-2012-0451.html
Comment 30 Fedora Update System 2012-04-11 23:26:43 EDT
rpm-4.9.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2012-04-21 23:23:53 EDT
rpm-4.9.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2012-04-21 23:42:32 EDT
rpm-4.9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Vincent Danen 2013-09-26 15:09:17 EDT
Acknowledgements:

This issue was discovered by Ramon de C Valle of the Red Hat Product Security Team.

Note You need to log in before you can comment on or make changes to this bug.